Subject: Re: IPP> PRO - Suggested text for form-data (more questions)

From: [email-masked] (Robert Herriot)
Date: Thu, 20 Mar 1997 19:00:55 -0800

Is is the case that a there is a separate entity body for each
attribute?  If so, form-data seems like an expensive way (in terms of
bytes) to send attributes because of all the boundary strings and
header-type keywords.

Your previous response said that an attribute value is in an entity
body.  This would seem to imply that we (IPP) must define our own
syntax for representing each type of value: integer, keyword, text,
name, integer range, sets of keywords, adornments to any of these
values, etc.  Am I right, or are there other precedents to follow?

Originally, I hoped that adornments would be in the content-disposition
field as separate parameters.  Is it possible to add extensions to the
content-disposition field?

Bob Herriot